Package org.apache.sling.cms.core.internal.models

## Class FileImpl

- java.lang.Object
- - org.apache.sling.cms.core.internal.models.PublishableResourceImpl
  - - org.apache.sling.cms.core.internal.models.FileImpl

All Implemented Interfaces:
  `File`, `PublishableResource`

    @Model(adaptables=org.apache.sling.api.resource.Resource.class,
           adapters=org.apache.sling.cms.File.class)
    public class FileImpl
    extends PublishableResourceImpl
    implements File

A model representing a file

### Field Summary

### Fields inherited from class org.apache.sling.cms.core.internal.models.PublishableResourceImpl

`LEGACY_PUBLISHED_PROPERTY, resource`

### Constructor Summary

Constructors
`FileImpl​(org.apache.sling.api.resource.Resource resource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getContentType()`
`org.apache.sling.api.resource.ValueMap` `getMetadata()`

### Methods inherited from class org.apache.sling.cms.core.internal.models.PublishableResourceImpl

`getContentResource, getCreated, getCreatedBy, getLastModified, getLastModifiedBy, getLastPublication, getLastPublicationBy, getLastPublicationType, getName, getParent, getPath, getProperties, getPublishedPath, getPublishedUrl, getResource, getSite, isPublished`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sling.cms.PublishableResource

`getContentResource, getCreated, getCreatedBy, getLastModified, getLastModifiedBy, getLastPublication, getLastPublicationBy, getLastPublicationType, getName, getParent, getPath, getProperties, getPublishedPath, getPublishedUrl, getResource, getSite, isPublished`

### Constructor Detail

#### FileImpl

    @Inject
    public FileImpl​(org.apache.sling.api.resource.Resource resource)

### Method Detail

#### getContentType

    public String getContentType()

Specified by:
  `getContentType` in interface `File`

#### getMetadata

    public org.apache.sling.api.resource.ValueMap getMetadata()

Specified by:
  `getMetadata` in interface `File`